; MIDE configuration file
; =======================
;
; If you are editing this from within MIDE, make sure to save the file.  The
; editor will need to be restarted for changes to take effect.

[General]

  ; Unix: Codepage set to CP437 or UTF8 to force output mode or leave blank
  ; for OS default.
  ; codepage = cp437
  
  ; tab space size in characters
  tab_spaces = 2

  ; auto indent on new lines
  auto_indent = true

  ; do syntax highlighting (note does not support block comments)
  ; and is substancially slower in screen updates

  syntax_highlight = true

[Colors]

  ; syntax highlighting colors (text attributes 0-255)
  ; attribute = foreground_color + background_color * 16
  ; foreground is 0-15 and background is 0-7

  syn_normal  = 30
  syn_keyword = 31
  syn_number  = 19
  syn_comment = 23
  syn_hex     = 28
  syn_charstr = 27

[Execute]

  ; Sets the username and password to login to the BBS when executing a
  ; MPL from within MIDE.  It is of course not recommended that you use
  ; your SysOp login and password for this.  I personally make a Guest
  ; account that has restricted access.  MPL execution will "assume" the
  ; user and password supplied here when executing.

  ; For rootpath, you need to include the directory where the MYSTIC binary
  ; exists.

  rootpath = c:\mystic\
  username = sysopname
  password = password
